## org.eclipse.ocl.expressions.impl
Class CollectionLiteralExpImpl<C>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.OCLExpressionImpl<C>
                      org.eclipse.ocl.expressions.impl.LiteralExpImpl<C>
                          org.eclipse.ocl.expressions.impl.CollectionLiteralExpImpl<C>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CollectionLiteralExp<C>, LiteralExp<C>, OCLExpression<C>, ASTNode, TypedElement<C>, Visitable

    public class CollectionLiteralExpImpl<C>

extends LiteralExpImpl<C>
implements CollectionLiteralExp<C>

An implementation of the model object 'Collection Literal Exp'.

The following features are implemented:

- `Kind`
- `Part`
- `Simple Range`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected CollectionKind` `kind` The cached value of the '`Kind`' attribute
`protected static CollectionKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute
`protected EList<CollectionLiteralPart<C>>` `part` The cached value of the '`Part`' containment reference list
`protected static boolean` `SIMPLE_RANGE_EDEFAULT` The default value of the '`Simple Range`' attribute

Fields inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CollectionLiteralExpImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`boolean` `checkBagKind(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkElementType(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkNoCollectionInstances(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkSequenceKind(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkSetKind(DiagnosticChain diagnostics, Map<Object,Object> context)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`CollectionKind` `getKind()`
`EList<CollectionLiteralPart<C>>` `getPart()`
`boolean` `isSimpleRange()`
`void` `setKind(CollectionKind newKind)`
`String` `toString()`

Methods inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getEndPosition, getName, getStartPosition, getType, setEndPosition, setName, setStartPosition, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KIND_EDEFAULT

    protected static final CollectionKind KIND_EDEFAULT

  The default value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### kind

    protected CollectionKind kind

  The cached value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### part

    protected EList<CollectionLiteralPart<C>> part

  The cached value of the '`Part`' containment reference list.

  See Also:
    `getPart()`

### SIMPLE_RANGE_EDEFAULT

    protected static final boolean SIMPLE_RANGE_EDEFAULT

  The default value of the '`Simple Range`' attribute.

  See Also:
    `isSimpleRange()`, Constant Field Values

Constructor Detail

### CollectionLiteralExpImpl

    protected CollectionLiteralExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `LiteralExpImpl<C>`

### getKind

    public CollectionKind getKind()

  Specified by:
    `getKind` in interface `CollectionLiteralExp<C>`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `CollectionKind`, `CollectionLiteralExp.setKind(CollectionKind)`, `ExpressionsPackage.getCollectionLiteralExp_Kind()`

### setKind

    public void setKind(CollectionKind newKind)

  Specified by:
    `setKind` in interface `CollectionLiteralExp<C>`
  Parameters:
    `newKind` - the new value of the 'Kind' attribute.
  See Also:
    `CollectionKind`, `CollectionLiteralExp.getKind()`

### getPart

    public EList<CollectionLiteralPart<C>> getPart()

  Specified by:
    `getPart` in interface `CollectionLiteralExp<C>`
  Returns:
    the value of the 'Part' containment reference list.
  See Also:
    `ExpressionsPackage.getCollectionLiteralExp_Part()`

### isSimpleRange

    public boolean isSimpleRange()

  Specified by:
    `isSimpleRange` in interface `CollectionLiteralExp<C>`
  Returns:
    the value of the 'Simple Range' attribute.
  See Also:
    `ExpressionsPackage.getCollectionLiteralExp_SimpleRange()`

### checkNoCollectionInstances

    public boolean checkNoCollectionInstances(DiagnosticChain diagnostics,
                                              Map<Object,Object> context)

  Specified by:
    `checkNoCollectionInstances` in interface `CollectionLiteralExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkSetKind

    public boolean checkSetKind(DiagnosticChain diagnostics,
                                Map<Object,Object> context)

  Specified by:
    `checkSetKind` in interface `CollectionLiteralExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkSequenceKind

    public boolean checkSequenceKind(DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

  Specified by:
    `checkSequenceKind` in interface `CollectionLiteralExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkBagKind

    public boolean checkBagKind(DiagnosticChain diagnostics,
                                Map<Object,Object> context)

  Specified by:
    `checkBagKind` in interface `CollectionLiteralExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkElementType

    public boolean checkElementType(DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

  Specified by:
    `checkElementType` in interface `CollectionLiteralExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `OCLExpressionImpl<C>`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `OCLExpressionImpl<C>`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `OCLExpressionImpl<C>`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `OCLExpressionImpl<C>`

### toString

    public String toString()

  Overrides:
    `toString` in class `OCLExpressionImpl<C>`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Description copied from class: `OCLExpressionImpl`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `OCLExpressionImpl<C>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.